import http from '../utils/http';
import config from '../config/config';

/**
 * 登录/注册同一个接口
 * @author Seven
 * @data 2025-1-28
 * @param { number: 9999 } // 验证码
 * @returns {  }
 * @see https://mall.gpxscs.cn/mobile/account/login/doMerchSmsRegisterAndLogin
 */

export function GetLogin(params) {
  return http({
    url: '/account/login/doMerchSmsRegisterAndLogin',
    method: 'post',
    data: params,
  });
}

/**
 * 获取验证码
 * @author Seven
 * @data 2025-1-6
 * @param { number: '13112341234', } 手机号
 * @returns {  }
 * @see https://mall.gpxscs.cn/mobile/account/login/sendVerifyCode
 */

export function GetSmsCode(params) {
  return http({
    url: '/account/login/sendVerifyCode',
    method: 'post',
    data: params,
  });
}

/**
 * 账号密码登录
 * @author Seven
 * @data 2025-1-6
 * @param {
 *    user_account: 'seven',
 *    user_password: 111111,
 *    verify_code: cxs1,           //验证码
 *    verify_token: 1746780029143, // 时间戳
 *  }
 * @returns {  }
 * @see https://mall.gpxscs.cn/api/admin/account/account-user-base/doLogin
 */

export function GetAccountLogin(params) {
  return http({
    url: '/account/account-user-base/doLogin',
    method: 'post',
    params,
    baseURL: config.adminApi,
  });
}

/**
 * 获取图形验证码
 * @author Seven
 * @data 2025-1-6
 * @param { verify_token:new Date().getTime() }
 * @returns {  }
 * @see https://mall.gpxscs.cn/api/admin/shop/shop-base-config/image
 */

export function GetVerifyCode(params) {
  return http({
    url: '/shop/shop-base-config/image',
    method: 'GET',
    params,
    baseURL: config.adminApi,
  });
}
